function pageValidate ()
    {
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtUserName,Please enter the UserName";   
    
    var myPwdObj = document.getElementById ('txtMyPwd');
	if (!myPwdObj)
		{
	    txtFieldIdArr[1] = "txtPwd,Please enter Password";
	    txtFieldIdArr[2] = "txtCfmPwd,Please Confirm Password";    
	    txtFieldIdArr[3] = "txtTimeOut,Please enter the Value between 0-999";
		}
	else
		{
	    txtFieldIdArr[1] = "txtMyPwd,Please enter your Password";
	    txtFieldIdArr[2] = "txtPwd,Please enter new Password";
	    txtFieldIdArr[3] = "txtCfmPwd,Please Confirm new Password";    
	    txtFieldIdArr[4] = "txtTimeOut,Please enter the Value between 0-999";
		}

    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;
             
    if (isProblemCharArrayCheck (txtFieldIdArr) == false)
         return false;
         
	var pwdObj = document.getElementById('txtPwd');
	var cnfPwdObj = document.getElementById('txtCfmPwd');
	
	if (pwdObj && !pwdObj.disabled &&
		cnfPwdObj && !cnfPwdObj.disabled &&
	    pwdObj.value != cnfPwdObj.value)
        {
    	alert ("Passwords do not match");
    	document.getElementById('txtPwd').focus();
    	return false;
    	}
    
    /*
    begin:txtTimeOut validation
    */
    var txtTimeOutObj = document.getElementById('txtTimeOut');
    if(txtTimeOutObj)
        {        
        if(numericValueRangeCheck (txtTimeOutObj, '', '', 0, 999, true, '', 'Minutes') == false) 
            return false;            
        }
    /*
    end: txtTimeOut validation
    */
    if(userTypeAlert () == false)
        return false;
   	return groupCheck ();
    }
    
function groupCheck ()
	{
	var configRowIdObj = document.getElementById('hdConfigRowId');
	if (configRowIdObj && (!isNaN(configRowIdObj.value)) && (configRowIdObj.value == "-1"))
		{
		var selGroupObj = document.getElementById('selGroup');
		if (selGroupObj.options[selGroupObj.selectedIndex].id == "local")
			fieldStateChangeWr ('','','txtPwd txtCfmPwd','');
		else
			fieldStateChangeWr ('txtPwd txtCfmPwd','','','');
		}
	}
	
function userTypeCheck ()
    {
    var configRowIdObj = document.getElementById('hdConfigRowId');
    var selectedValue = comboSelectedValueGet  ('selUserType');
    if (!selectedValue) return;
    if (configRowIdObj && (!isNaN(configRowIdObj.value)) && (configRowIdObj.value == "-1"))
        {
        if (parseInt (selectedValue, 10) == 5) /*IPSEC VPN User*/
            fieldStateChangeWr ('txtTimeOut selGroup','','txtPwd txtCfmPwd','');
        else if(parseInt (selectedValue, 10) == 7 || parseInt (selectedValue, 10) == 8) /*L2TP User or PPTP User*/
            fieldStateChangeWr ('txtTimeOut selGroup','','txtPwd txtCfmPwd','');
        else
            {
            fieldStateChangeWr ('','','txtTimeOut selGroup','');
            groupCheck();
            }
        }
    else /*Edit case*/
        {
        if (parseInt (selectedValue, 10) == 7 || parseInt (selectedValue, 10) == 8)/*L2TP / PPTP User*/
            fieldStateChangeWr ('txtTimeOut selGroup','','','');
        else
            fieldStateChangeWr ('','','txtTimeOut','');
        }
    }
	
function groupTypeCheck ()
    {
	groupCheck ();
	var errorFlag = false;
	var userTypeObj = document.getElementById('selUserType');
	if (userTypeObj)
		{
		selectedUserType = userTypeObj.value;
		var selGroupObj = document.getElementById('selGroup');
		if (selGroupObj)
			{
			if (selectedUserType == "3" || selectedUserType == "4")
				{
				if (selGroupObj.options[selGroupObj.selectedIndex].id == "local") {	}
				else
					errorFlag = true;
				}
			}
		}
	if (errorFlag)
		{
   		alert ("Administrator/Guest users can not be associated with externally authenticated group");
		return false;		
		}
	return true;
	}

function checkEdit ()
	{
	var configRowIdObj = document.getElementById('hdConfigRowId');
	if (configRowIdObj && (!isNaN(configRowIdObj.value)) && (configRowIdObj.value != "-1"))
		{
		var selGroupObj = document.getElementById('selGroup');
		if (selGroupObj && (selGroupObj.options[selGroupObj.selectedIndex].id == "local"))
			{
			selGroupObj.disabled = true;
			}
		else if (selGroupObj && (selGroupObj.options[selGroupObj.selectedIndex].id != "local"))
			{
			selGroupObj.disabled = true;			
			fieldStateChangeWr ('editPassword txtPwd txtCfmPwd','','','');
			}
			
        var selUserType = document.getElementById('hdUsrType');
        if(selUserType.value == "5")
            fieldStateChangeWr ('selUserType txtTimeOut','','','');
        if(selUserType.value == "7" || selUserType.value == "8")
            fieldStateChangeWr ('selUserType txtTimeOut','','','');
		}
	}
	
function pwdEditCheck ()
	{
	var editCheckObj = document.getElementById ('editPassword');
	if (!editCheckObj) return;
	depFieldCheck ('editPassword', true, '', '', 'txtMyPwd txtPwd txtCfmPwd', '');
	depFieldCheck ('editPassword', false, 'txtMyPwd txtPwd txtCfmPwd', '', '', '');
	}

function userTypeAlert ()
    {
    var rowIdObj = document.getElementById('hdConfigRowId');
    var oldUserTypeObj = document.getElementById('hdUsrType');
    var oldUserValue = '';
    if(oldUserTypeObj)
        oldUserValue = parseInt(oldUserTypeObj.value, 10);

    var userTypObj = document.getElementById('selUserType');
    var selectedUserType = '';
    if(userTypObj && !(userTypObj.disabled))
        selectedUserType = parseInt(comboSelectedValueGet ('selUserType'), 10);
    var alrtMsg = ''
    if(selectedUserType == 7)
        alrtMsg = 'User Type cannot be changed to L2TP'
    else
        alrtMsg = 'User Type cannot be changed to PPTP'

    if (rowIdObj && parseInt(rowIdObj.value,10) != -1)
        {
        if(oldUserValue != selectedUserType)
            {
            if((selectedUserType == 7 || selectedUserType == 8) && (oldUserValue == 0 || oldUserValue == 3 || oldUserValue == 4))
                {
                alert(alrtMsg);
                return false;
                }
            }
        }
    return true;
    }
