function pageValidate ()
    {
    var invalidIpAddrErr = "Invalid IP address."
    var invalidSnetMaskErr = "Invalid subnet mask.";
    var forOctet = "for octet "
   
    if (ipv4AddrOctetsValidate ('tblWanIpAddr', 'IP', false, true, invalidIpAddrErr, forOctet, true) == false)
        return false;
        
    if (ipv4AddrOctetsValidate ('tblWanSubnetMask', 'SM', false, true, invalidSnetMaskErr, forOctet, true) == false)
        return false;

    if(duplicateLANcheck () == false)
        return false;

    if(duplicateWANDMZcheck () == false)
        return false;
    
    if(duplicateSecWANcheck () == false)
        return false;

    return true;
    }

/*Check For entered IP fall in LAN/VLAN subnet */
function duplicateLANcheck ()
    {
    var totCountObj = document.getElementById('hdNum');
    if(!totCountObj) return;
    var totCount = parseInt(totCountObj.value, 10);
    var wanIpAddr = getIPInt('tblWanIpAddr');
    var i = 0;
    if(totCount != '' && totCount != 0)
        {
        while (i <= totCount)
            {
            i= i + 1;
            intIPId = "hdLanIPAddr"+i;
            intIPMaskId = "hdLanSnetAddr"+i;
            if(document.getElementById(intIPId))
                {
                var intIp = getIPInt1(intIPId);
                var intIpMask = getIPInt1(intIPMaskId);
                if(document.getElementById(intIPId).value != '0.0.0.0' && document.getElementById(intIPMaskId).value != '0.0.0.0')
                    {
                    if(isInSubnet(wanIpAddr, intIp, intIpMask))
                        {
                        var errorstr = "The subnet specified is same as LAN/VLAN subnet, Please specify a different subnet.";
                        alert (errorstr);
                        return false;
                        }
                    }
                }
            }
        }
    return true;
    }

/*Check For entered IP fall in DMZ subnet and same in WAN IPs*/
function duplicateWANDMZcheck ()
    {
    var dmzIpObj = document.getElementById('dmzIp');
    var dmzSnetObj = document.getElementById('dmzSnet');
    var hdwan1IpAddressObj = document.getElementById('hdwan1IpAddress');
    var hdwan2IpAddressObj = document.getElementById('hdwan2IpAddress');
    var hdwan3IpAddressObj = document.getElementById('hdwan3IpAddress');
    var hdwan4IpAddressObj = document.getElementById('hdwan4IpAddress');
    var wanIpAddr = getIPStr("tblWanIpAddr");
    var secWanIPAddr = getIPInt("tblWanIpAddr");

    if(dmzIpObj.value != '' && dmzIpObj.value != '0.0.0.0' && dmzSnetObj.value != '' && dmzSnetObj.value != '0.0.0.0')
        {
        var dmzIPAddr = getIPInt1("dmzIp");
        var dmzsnetMask = getIPInt1("dmzSnet");
        if(isInSubnet(secWanIPAddr, dmzIPAddr, dmzsnetMask))
            {
            var errorstr = "DMZ IP address is in the same subnet. Please specify IP address in a different subnet.";
            alert (errorstr);
            return false;
            }
        }
    if(hdwan1IpAddressObj && hdwan1IpAddressObj.value != '' && hdwan1IpAddressObj.value != '0.0.0.0')
        {
        if(wanIpAddr == hdwan1IpAddressObj.value)
            {
            alert('Network address is in use');
            return false;
            }
        }
    if(hdwan2IpAddressObj && hdwan2IpAddressObj.value != '' && hdwan2IpAddressObj.value != '0.0.0.0')
        {
        if(wanIpAddr == hdwan2IpAddressObj.value)
            {
            alert('Network address is in use');
            return false;
            }
        }
    if(hdwan3IpAddressObj && hdwan3IpAddressObj.value != '' && hdwan3IpAddressObj.value != '0.0.0.0')
        {
        if(wanIpAddr == hdwan3IpAddressObj.value)
            {
            alert('Network address is in use');
            return false;
            }
        }
    if(hdwan4IpAddressObj && hdwan4IpAddressObj.value != '' && hdwan4IpAddressObj.value != '0.0.0.0')
        {
        if(wanIpAddr == hdwan4IpAddressObj.value)
            {
            alert('Network address is in use');
            return false;
            }
        }
    return true;
    }

/*Check For Duplicated secondary WAN IPs*/
function duplicateSecWANcheck ()
    {
    var hdSecTotNumObj = document.getElementById('hdSecTotNum');
    if(!hdSecTotNumObj) return;
    var hdSecTotNumVal = parseInt(hdSecTotNumObj.value, 10);
    var wanIpAddr = getIPStr("tblWanIpAddr");
    if(hdSecTotNumVal != '' && hdSecTotNumVal != 0)
        {
        for(var j = 1; j <= hdSecTotNumVal; j++)
            {
            var hdSecIPAddrObj = document.getElementById('hdsecondaryIPaddr'+j);
            if(hdSecIPAddrObj && hdSecIPAddrObj.value != '' && hdSecIPAddrObj.value != '0.0.0.0')
                {
                if(wanIpAddr == hdSecIPAddrObj.value)
                    {
                    alert('Network address is in use');
                    return false;
                    break;
                    }
                }
            }
        }
    return true;
    }
