/* lan2Setup_ipv6.js - API library for lan multi homing IPv6 Configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
01a,22AUG11,mvb written. 
*/

function lan2SetupValidate_ipv6 ()
    {
    
    if (ipv6Validate ('tblSecLanIpAddr', false, true, '') == false)
	    return false;
	
	if (numericValueRangeCheck (document.getElementById('txtPreLenId'), '', 'Please enter a value between 1 and 128', 1, 128, true, 'Invalid prefix length value: ', '') == false)
            return false;
    if(document.getElementById('hdCount'))
        if(maxCountCheck ('hdCount', 24, 'tblErrMsg') == false)
            return false;    
    return true;
    }
